Package com.databricks.jdbc.common

## Class DatabricksJdbcConstants

- java.lang.Object
- - com.databricks.jdbc.common.DatabricksJdbcConstants

    public final class DatabricksJdbcConstants
    extends Object

### Nested Class Summary

Nested Classes
`static class` `DatabricksJdbcConstants.FakeServiceType` Enum for the services that can be replaced with a fake service in integration tests.

### Field Summary

Fields
`static String` `AAD_CLIENT_ID`
`static String` `ACCESS_TOKEN_AUTH_TYPE`
`static Set<String>` `ALLOWED_CLIENT_INFO_PROPERTIES`
`static Map<String,​String>` `ALLOWED_SESSION_CONF_TO_DEFAULT_VALUES_MAP`
`static String` `ALLOWED_STAGING_INGESTION_PATHS`
`static String` `ALLOWED_VOLUME_INGESTION_PATHS`
`static String` `ASTERISK`
`static String` `AWS_CLIENT_ID`
`static Pattern` `BASE_PATTERN`
`static String` `CATALOG`
`static String` `CLIENT_USER_AGENT_PREFIX`
`static String` `COMMA`
`static Pattern` `DECLARE_PATTERN`
`static LogLevel` `DEFAULT_LOG_LEVEL`
`static int` `DEFAULT_PORT`
`static String` `DEFAULT_SCHEMA`
`static String` `DEFAULT_USER_AGENT`
`static String` `DEFAULT_USERNAME`
`static Pattern` `DESCRIBE_PATTERN`
`static String` `EMPTY_STRING`
`static Pattern` `EXCEPT_PATTERN`
`static Pattern` `EXPLAIN_PATTERN`
`static String` `FAKE_SERVICE_URI_PROP_SUFFIX`
`static Pattern` `FROM_PATTERN`
`static String` `FULL_STOP`
`static Pattern` `GET_PATTERN`
`static String` `HTTP`
`static Pattern` `HTTP_CLI_PATTERN`
`static Pattern` `HTTP_CLUSTER_PATH_PATTERN`
`static Pattern` `HTTP_ENDPOINT_PATH_PATTERN`
`static Pattern` `HTTP_PATH_CLI_PATTERN`
`static String` `HTTP_SCHEMA`
`static Pattern` `HTTP_WAREHOUSE_PATH_PATTERN`
`static String` `HTTPS`
`static String` `HTTPS_SCHEMA`
`static String` `IDENTIFIER_QUOTE_STRING`
`static Pattern` `INTERSECT_PATTERN`
`static String` `IS_FAKE_SERVICE_TEST_PROP`
`static String` `JDBC_SCHEMA`
`static Pattern` `JDBC_URL_PATTERN`
`static Pattern` `LIST_PATTERN`
`static String` `LOGIN_TIMEOUT`
`static String` `M2M_AUTH_TYPE`
`static Pattern` `MAP_PATTERN`
`static String` `OFFLINE_ACCESS_SCOPE`
`static String` `PAIR_DELIMITER`
`static String` `PIPE`
`static String` `PKIX`
`static String` `PORT`
`static String` `PORT_DELIMITER`
`static String` `PROCEDURE`
`static Pattern` `PUT_PATTERN`
`static Pattern` `REMOVE_PATTERN`
`static String` `SCHEMA`
`static String` `SCHEMA_DELIMITER`
`static Pattern` `SELECT_PATTERN`
`static Pattern` `SET_PATTERN`
`static Pattern` `SHOW_PATTERN`
`static String` `SQL_SCOPE`
`static String` `TABLE`
`static Pattern` `TEST_PATH_PATTERN`
`static String` `TLS`
`static String` `U2M_AUTH_REDIRECT_URL`
`static String` `U2M_AUTH_TYPE`
`static Pattern` `UNION_PATTERN`
`static String` `URL_DELIMITER`
`static String` `USER_AGENT_DELIMITER`
`static String` `USER_AGENT_SEA_CLIENT`
`static String` `USER_AGENT_THRIFT_CLIENT`
`static String` `USER_NAME`
`static Pattern` `VALUES_PATTERN`
`static String` `VOLUME_OPERATION_STATUS_COLUMN_NAME`
`static String` `VOLUME_OPERATION_STATUS_SUCCEEDED`
`static Pattern` `WITH_PATTERN`

### Constructor Summary

Constructors
`DatabricksJdbcConstants()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### JDBC_URL_PATTERN

    public static final Pattern JDBC_URL_PATTERN

#### HTTP_WAREHOUSE_PATH_PATTERN

    public static final Pattern HTTP_WAREHOUSE_PATH_PATTERN

#### HTTP_ENDPOINT_PATH_PATTERN

    public static final Pattern HTTP_ENDPOINT_PATH_PATTERN

#### HTTP_CLI_PATTERN

    public static final Pattern HTTP_CLI_PATTERN

#### HTTP_PATH_CLI_PATTERN

    public static final Pattern HTTP_PATH_CLI_PATTERN

#### TEST_PATH_PATTERN

    public static final Pattern TEST_PATH_PATTERN

#### BASE_PATTERN

    public static final Pattern BASE_PATTERN

#### HTTP_CLUSTER_PATH_PATTERN

    public static final Pattern HTTP_CLUSTER_PATH_PATTERN

#### JDBC_SCHEMA

    public static final String JDBC_SCHEMA

See Also:
  Constant Field Values

#### DEFAULT_LOG_LEVEL

    public static final LogLevel DEFAULT_LOG_LEVEL

#### USER_AGENT_DELIMITER

    public static final String USER_AGENT_DELIMITER

See Also:
  Constant Field Values

#### URL_DELIMITER

    public static final String URL_DELIMITER

See Also:
  Constant Field Values

#### PORT_DELIMITER

    public static final String PORT_DELIMITER

See Also:
  Constant Field Values

#### DEFAULT_SCHEMA

    public static final String DEFAULT_SCHEMA

See Also:
  Constant Field Values

#### PAIR_DELIMITER

    public static final String PAIR_DELIMITER

See Also:
  Constant Field Values

#### SCHEMA_DELIMITER

    public static final String SCHEMA_DELIMITER

See Also:
  Constant Field Values

#### PKIX

    public static final String PKIX

See Also:
  Constant Field Values

#### TLS

    public static final String TLS

See Also:
  Constant Field Values

#### HTTP

    public static final String HTTP

See Also:
  Constant Field Values

#### HTTPS

    public static final String HTTPS

See Also:
  Constant Field Values

#### HTTP_SCHEMA

    public static final String HTTP_SCHEMA

See Also:
  Constant Field Values

#### HTTPS_SCHEMA

    public static final String HTTPS_SCHEMA

See Also:
  Constant Field Values

#### LOGIN_TIMEOUT

    public static final String LOGIN_TIMEOUT

See Also:
  Constant Field Values

#### U2M_AUTH_TYPE

    public static final String U2M_AUTH_TYPE

See Also:
  Constant Field Values

#### M2M_AUTH_TYPE

    public static final String M2M_AUTH_TYPE

See Also:
  Constant Field Values

#### ACCESS_TOKEN_AUTH_TYPE

    public static final String ACCESS_TOKEN_AUTH_TYPE

See Also:
  Constant Field Values

#### U2M_AUTH_REDIRECT_URL

    public static final String U2M_AUTH_REDIRECT_URL

See Also:
  Constant Field Values

#### SQL_SCOPE

    public static final String SQL_SCOPE

See Also:
  Constant Field Values

#### OFFLINE_ACCESS_SCOPE

    public static final String OFFLINE_ACCESS_SCOPE

See Also:
  Constant Field Values

#### FULL_STOP

    public static final String FULL_STOP

See Also:
  Constant Field Values

#### COMMA

    public static final String COMMA

See Also:
  Constant Field Values

#### PIPE

    public static final String PIPE

See Also:
  Constant Field Values

#### ASTERISK

    public static final String ASTERISK

See Also:
  Constant Field Values

#### EMPTY_STRING

    public static final String EMPTY_STRING

See Also:
  Constant Field Values

#### IDENTIFIER_QUOTE_STRING

    public static final String IDENTIFIER_QUOTE_STRING

See Also:
  Constant Field Values

#### CATALOG

    public static final String CATALOG

See Also:
  Constant Field Values

#### PROCEDURE

    public static final String PROCEDURE

See Also:
  Constant Field Values

#### SCHEMA

    public static final String SCHEMA

See Also:
  Constant Field Values

#### TABLE

    public static final String TABLE

See Also:
  Constant Field Values

#### USER_NAME

    public static final String USER_NAME

See Also:
  Constant Field Values

#### PORT

    public static final String PORT

See Also:
  Constant Field Values

#### DEFAULT_PORT

    public static final int DEFAULT_PORT

See Also:
  Constant Field Values

#### DEFAULT_USER_AGENT

    public static final String DEFAULT_USER_AGENT

See Also:
  Constant Field Values

#### CLIENT_USER_AGENT_PREFIX

    public static final String CLIENT_USER_AGENT_PREFIX

See Also:
  Constant Field Values

#### USER_AGENT_SEA_CLIENT

    public static final String USER_AGENT_SEA_CLIENT

See Also:
  Constant Field Values

#### USER_AGENT_THRIFT_CLIENT

    public static final String USER_AGENT_THRIFT_CLIENT

See Also:
  Constant Field Values

#### ALLOWED_VOLUME_INGESTION_PATHS

    public static final String ALLOWED_VOLUME_INGESTION_PATHS

See Also:
  Constant Field Values

#### ALLOWED_STAGING_INGESTION_PATHS

    public static final String ALLOWED_STAGING_INGESTION_PATHS

See Also:
  Constant Field Values

#### VOLUME_OPERATION_STATUS_COLUMN_NAME

    public static final String VOLUME_OPERATION_STATUS_COLUMN_NAME

See Also:
  Constant Field Values

#### VOLUME_OPERATION_STATUS_SUCCEEDED

    public static final String VOLUME_OPERATION_STATUS_SUCCEEDED

See Also:
  Constant Field Values

#### ALLOWED_SESSION_CONF_TO_DEFAULT_VALUES_MAP

    public static final Map<String,​String> ALLOWED_SESSION_CONF_TO_DEFAULT_VALUES_MAP

#### ALLOWED_CLIENT_INFO_PROPERTIES

    public static final Set<String> ALLOWED_CLIENT_INFO_PROPERTIES

#### IS_FAKE_SERVICE_TEST_PROP

    public static final String IS_FAKE_SERVICE_TEST_PROP

See Also:
  Constant Field Values

#### FAKE_SERVICE_URI_PROP_SUFFIX

    public static final String FAKE_SERVICE_URI_PROP_SUFFIX

See Also:
  Constant Field Values

#### AWS_CLIENT_ID

    public static final String AWS_CLIENT_ID

See Also:
  Constant Field Values

#### AAD_CLIENT_ID

    public static final String AAD_CLIENT_ID

See Also:
  Constant Field Values

#### SELECT_PATTERN

    public static final Pattern SELECT_PATTERN

#### SHOW_PATTERN

    public static final Pattern SHOW_PATTERN

#### DESCRIBE_PATTERN

    public static final Pattern DESCRIBE_PATTERN

#### EXPLAIN_PATTERN

    public static final Pattern EXPLAIN_PATTERN

#### WITH_PATTERN

    public static final Pattern WITH_PATTERN

#### SET_PATTERN

    public static final Pattern SET_PATTERN

#### MAP_PATTERN

    public static final Pattern MAP_PATTERN

#### FROM_PATTERN

    public static final Pattern FROM_PATTERN

#### VALUES_PATTERN

    public static final Pattern VALUES_PATTERN

#### UNION_PATTERN

    public static final Pattern UNION_PATTERN

#### INTERSECT_PATTERN

    public static final Pattern INTERSECT_PATTERN

#### EXCEPT_PATTERN

    public static final Pattern EXCEPT_PATTERN

#### DECLARE_PATTERN

    public static final Pattern DECLARE_PATTERN

#### PUT_PATTERN

    public static final Pattern PUT_PATTERN

#### GET_PATTERN

    public static final Pattern GET_PATTERN

#### REMOVE_PATTERN

    public static final Pattern REMOVE_PATTERN

#### LIST_PATTERN

    public static final Pattern LIST_PATTERN

#### DEFAULT_USERNAME

    public static final String DEFAULT_USERNAME

See Also:
  Constant Field Values

### Constructor Detail

#### DatabricksJdbcConstants

    public DatabricksJdbcConstants()